## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           fuzzel
Version:        1.12.0
Release:        %autorelease
Summary:        Application launcher for wlroots based Wayland compositors

License:        MIT
URL:            https://codeberg.org/dnkl/fuzzel
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz.sig
# Daniel Eklöf (Git signing) <daniel@ekloef.se>
Source2:        gpgkey-5BBD4992C116573F.asc

BuildRequires:  gcc
BuildRequires:  meson >= 0.58
BuildRequires:  nanosvg-devel
BuildRequires:  tllist-static

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(fcft) >= 3.0.0
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(tllist) >= 1.0.1
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.32
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

%description
Fuzzel is a Wayland-native application launcher and fuzzy finder, inspired by rofi and dmenu.

Features:
  * Wayland native
  * Rofi drun-like mode of operation
  * dmenu mode where newline separated entries are read from stdin
  * Emacs key bindings
  * Icons!
  * Remembers frequently launched applications


%prep
%autosetup -n %{name} -p1


%build
%meson                  \
  -Dsystem-nanosvg=enabled \
  %{nil}
%meson_build


%install
%meson_install
# Will be installed to correct location with rpm macros
rm %{buildroot}%{_docdir}/%{name}/LICENSE


%check
%meson_test


%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/fish/vendor_completions.d/*.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/*.5*
%{_sysconfdir}/xdg/%{name}/


%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.12.0-1
- Update to 1.12.0 (#2358820)
- Verify source signature

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 26 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.11.1-2
- build: Add upsteam patch fix for GCC

* Fri Sep 13 2024 Packit <hello@packit.dev> - 1.11.1-1
- Update to 1.11.1 upstream release
- Resolves: rhbz#2310785

* Mon Sep 09 2024 Packit <hello@packit.dev> - 1.11.0-1
- Update to 1.11.0 upstream release
- Resolves: rhbz#2310785

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 15 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.2-1
- chore: Update to 1.10.2 (rh#2275143)

* Sat Apr 13 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.1-1
- chore: Update to 1.10.1 (rh#2274768)

* Thu Apr 11 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.0-2
- build: Add Packit config

* Thu Apr 11 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.0-1
- chore: Update to 1.10.0 (rh#2274539)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.2-1
- chore: Update to 1.9.2 (rh#2222853)

* Tue Apr 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.1-1
- chore: Update to 1.9.1 (rhbz#2183197)

* Tue Mar 28 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.0-1
- chore: Update to 1.9.0 (rhbz#2182187)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.2-1
- build: Update to 1.8.2 (rhbz#2140113)

* Thu Oct 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.1-1
- chore(update): 1.8.1 (rhbz#2138165)

* Mon Oct 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-1
- build(update): 1.8.0 (rhbz#2137118)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 05 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0 (#2051006)

* Mon Jan 31 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.5-3
- build: Switch to nanosvg | Fix FTBFS 36

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.5-1
- chore(update): 1.6.5

* Sat Oct 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.4-1
- chore(update): 1.6.4

* Fri Sep 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.3-1
- build(update): 1.6.3

* Sun Aug 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- build(update): 1.6.2

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-1
- build(update): 1.6.1

* Wed Jun 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-1
- build(update): 1.6.0

* Tue May 04 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.4-1
- build(update): 1.5.4

* Mon Apr 12 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.3-1
- build(update): 1.5.3

* Mon Apr 12 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.2-1
- build(update): 1.5.2

* Mon Mar 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.1-2
- style: Trivial changes for pushing into official repo

* Tue Feb 02 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.5.1-0.1
- Update to 1.5.1

* Fri Jan 29 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.5.0-0.1
- Update to 1.5.0

* Sat Jan 09 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.4.2-0.1
- Initial package

## END: Generated by rpmautospec
